<nav>
    <div>
        <a routerLink="">Home</a>|
        <a [routerLink]="['hello',{name:'taro'}]">Hello</a>|
        <a [routerLink]="['msg','123']">Message</a>
    </div>
</nav>
<div class="content">
    <p>Router-Outlet</p>
    <router-outlet><p>{{message}}</p></router-outlet>
    <hr>
    <p (click)="doClick()"> This is Angular sample here</p>
</div>        